import { jsx } from "react/jsx-runtime";
import { Hurricane as Hurricane$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Hurricane = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Hurricane", ...props, children: /* @__PURE__ */ jsx(Hurricane$1, { weight: variant }) });
  }
);
Hurricane.displayName = "Hurricane";
Object.assign(Hurricane, { isGdsIcon: true });
export {
  Hurricane
};
